Legacy System Extension warning for Pegasus2 and Pegasus3

  • 232 Views
  • Last Post 29 July 2022
Larry Yaeger posted this 18 July 2022

After a recent macOS system update (now running Montery 12.4), I recived a disturbing warning:

I see something similar took place around the time of Big Sur:

https://forum.promise.com/thread/legacy-system-extension-warning-catalina-big-sur/

And a user space driver has been released for Pegasus32:

https://forum.promise.com/thread/pegasus32-user-space-driver-is-now-available-on-the-downloads-page/

But I can find no evidence of the problem being addressed for Pegasus2 (of which I have three) and Pegasus3 (of which I have two).  I know Pegasus2 and Pegasus3 are not the latest products, but I sincerely hope Promise isn't going to just abandon their owners.  I have these fully upgraded to max capacity compatible drives, and am fully dependent on this 348 TB of RAID 5 disk space.

Please tell me something to fix basic compatabiilty is in the works.

Order By: Standard | Latest | Votes
R P posted this 18 July 2022

Hi Larry,

If you have an M1 MAC (you did not specify) then the Pegasus32 user space driver can be used, it's backwards compatible with the Pegasus3 and Pegasus2.

If you have an Intel MAC the Pegasus32 Intel driver can be used, it's also backwards compatible with the Pegasus3 and Pegasus2.

Larry Yaeger posted this 29 July 2022

A huge thank you RP. I have a Mac Studio with M1 Ultra. I'm extremely happy and relieved to hear the Pegasus32 user space driver will work with my Pegasus2 and Pegasus3. Will install it soon!

R P posted this 29 July 2022

Hi Larry,

I just worked with a Pegasus 2 customer with a new M1 Macbook Pro. The user space driver works fine with the Pegasus 2.

One caution, if the Pegasus 2 firmware is not the latest, you might have some issues. Here is the latest Pegasus 2 firmware, build 64.

To be fair, the problems we saw were with the FCS release, build 17. You may be OK with newer Pegasus 2 firmware builds.

You won't be able to update the Pegasus 2 firmware with the user space driver and the latest Pegasus utility. I don't know why or whether it's the driver or the Promise Utility. The firmware update works with older Intel MACs and and the Promise Utility from the Pegasus 2 downloads page. Possible loading an older Promise Utility will work, I have not had time to look into it.

It's also advisable to update to macOS Monterey 12.5.

And here is the user space driver.

Close